package logs

const (
	CouldntParseCreationDate                                              = "couldn't parse creation date"                                                           // Info in ../../downloader/*
	CouldNotDetectContentTypeFromPayload                                  = "could not detect Content-Type from payload"                                             // Error in ../../downloader/download.go
	CouldNotReceiveObject                                                 = "could not receive object"                                                               // Error in ../../downloader/download.go
	WrongObjectID                                                         = "wrong object id"                                                                        // Error in ../../downloader/download.go
	GetLatestObjectVersion                                                = "get latest object version"                                                              // Error in ../../downloader/download.go
	ObjectWasDeleted                                                      = "object was deleted"                                                                     // Error in ../../downloader/download.go
	CouldNotSearchForObjects                                              = "could not search for objects"                                                           // Error in ../../downloader/download.go
	ObjectNotFound                                                        = "object not found"                                                                       // Error in ../../downloader/download.go
	ReadObjectListFailed                                                  = "read object list failed"                                                                // Error in ../../downloader/download.go
	FailedToAddObjectToArchive                                            = "failed to add object to archive"                                                        // Error in ../../downloader/download.go
	IteratingOverSelectedObjectsFailed                                    = "iterating over selected objects failed"                                                 // Error in ../../downloader/download.go
	ObjectsNotFound                                                       = "objects not found"                                                                      // Error in ../../downloader/download.go
	CloseZipWriter                                                        = "close zip writer"                                                                       // Error in ../../downloader/download.go
	ServiceIsRunning                                                      = "service is running"                                                                     // Info in ../../metrics/service.go
	ServiceCouldntStartOnConfiguredPort                                   = "service couldn't start on configured port"                                              // Warn in ../../metrics/service.go
	ServiceHasntStartedSinceItsDisabled                                   = "service hasn't started since it's disabled"                                             // Info in ../../metrics/service.go
	ShuttingDownService                                                   = "shutting down service"                                                                  // Info in ../../metrics/service.go
	CantShutDownService                                                   = "can't shut down service"                                                                // Panic in ../../metrics/service.go
	CantGracefullyShutDownService                                         = "can't gracefully shut down service, force stop"                                         // Error in ../../metrics/service.go
	IgnorePartEmptyFormName                                               = "ignore part, empty form name"                                                           // Debug in ../../uploader/upload.go
	IgnorePartEmptyFilename                                               = "ignore part, empty filename"                                                            // Debug in ../../uploader/upload.go
	CloseTemporaryMultipartFormFile                                       = "close temporary multipart/form file"                                                    // Debug in ../../uploader/upload.go
	CouldNotReceiveMultipartForm                                          = "could not receive multipart/form"                                                       // Error in ../../uploader/upload.go
	CouldNotProcessHeaders                                                = "could not process headers"                                                              // Error in ../../uploader/upload.go
	CouldNotParseClientTime                                               = "could not parse client time"                                                            // Warn in ../../uploader/upload.go
	CouldNotPrepareExpirationHeader                                       = "could not prepare expiration header"                                                    // Error in ../../uploader/upload.go
	CouldNotEncodeResponse                                                = "could not encode response"                                                              // Error in ../../uploader/upload.go
	CouldNotStoreFileInFrostfs                                            = "could not store file in frostfs"                                                        // Error in ../../uploader/upload.go
	AddAttributeToResultObject                                            = "add attribute to result object"                                                         // Debug in ../../uploader/filter.go
	FailedToCreateResolver                                                = "failed to create resolver"                                                              // Fatal in ../../app.go
	FailedToReadIndexPageTemplate                                         = "failed to read index page template, set default"                                        // Warn in ../../app.go
	SetCustomIndexPageTemplate                                            = "set custom index page template"                                                         // Info in ../../app.go
	ContainerResolverWillBeDisabledBecauseOfResolversResolverOrderIsEmpty = "container resolver will be disabled because of resolvers 'resolver_order' is empty"     // Info in ../../app.go
	MetricsAreDisabled                                                    = "metrics are disabled"                                                                   // Warn in ../../app.go
	NoWalletPathSpecifiedCreatingEphemeralKeyAutomaticallyForThisRun      = "no wallet path specified, creating ephemeral key automatically for this run"            // Info in ../../app.go
	StartingApplication                                                   = "starting application"                                                                   // Info in ../../app.go
	StartingServer                                                        = "starting server"                                                                        // Info in ../../app.go
	ListenAndServe                                                        = "listen and serve"                                                                       // Fatal in ../../app.go
	ShuttingDownWebServer                                                 = "shutting down web server"                                                               // Info in ../../app.go
	FailedToShutdownTracing                                               = "failed to shutdown tracing"                                                             // Warn in ../../app.go
	SIGHUPConfigReloadStarted                                             = "SIGHUP config reload started"                                                           // Info in ../../app.go
	FailedToReloadConfigBecauseItsMissed                                  = "failed to reload config because it's missed"                                            // Warn in ../../app.go
	FailedToReloadConfig                                                  = "failed to reload config"                                                                // Warn in ../../app.go
	LogLevelWontBeUpdated                                                 = "log level won't be updated"                                                             // Warn in ../../app.go
	FailedToUpdateResolvers                                               = "failed to update resolvers"                                                             // Warn in ../../app.go
	FailedToReloadServerParameters                                        = "failed to reload server parameters"                                                     // Warn in ../../app.go
	SIGHUPConfigReloadCompleted                                           = "SIGHUP config reload completed"                                                         // Info in ../../app.go
	AddedPathUploadCid                                                    = "added path /upload/{cid}"                                                               // Info in ../../app.go
	AddedPathGetCidOid                                                    = "added path /get/{cid}/{oid}"                                                            // Info in ../../app.go
	AddedPathGetByAttributeCidAttrKeyAttrVal                              = "added path /get_by_attribute/{cid}/{attr_key}/{attr_val:*}"                             // Info in ../../app.go
	AddedPathZipCidPrefix                                                 = "added path /zip/{cid}/{prefix}"                                                         // Info in ../../app.go
	Request                                                               = "request"                                                                                // Info in ../../app.go
	CouldNotFetchAndStoreBearerToken                                      = "could not fetch and store bearer token"                                                 // Error in ../../app.go
	FailedToAddServer                                                     = "failed to add server"                                                                   // Warn in ../../app.go
	AddServer                                                             = "add server"                                                                             // Info in ../../app.go
	NoHealthyServers                                                      = "no healthy servers"                                                                     // Fatal in ../../app.go
	FailedToInitializeTracing                                             = "failed to initialize tracing"                                                           // Warn in ../../app.go
	TracingConfigUpdated                                                  = "tracing config updated"                                                                 // Info in ../../app.go
	ResolverNNSWontBeUsedSinceRPCEndpointIsntProvided                     = "resolver nns won't be used since rpc_endpoint isn't provided"                           // Warn in ../../app.go
	RuntimeSoftMemoryDefinedWithGOMEMLIMIT                                = "soft runtime memory defined with GOMEMLIMIT environment variable, config value skipped" // Warn in ../../app.go
	RuntimeSoftMemoryLimitUpdated                                         = "soft runtime memory limit value updated"                                                // Info in ../../app.go
	CouldNotLoadFrostFSPrivateKey                                         = "could not load FrostFS private key"                                                     // Fatal in ../../settings.go
	UsingCredentials                                                      = "using credentials"                                                                      // Info in ../../settings.go
	FailedToCreateConnectionPool                                          = "failed to create connection pool"                                                       // Fatal in ../../settings.go
	FailedToDialConnectionPool                                            = "failed to dial connection pool"                                                         // Fatal in ../../settings.go
	FailedToCreateTreePool                                                = "failed to create tree pool"                                                             // Fatal in ../../settings.go
	FailedToDialTreePool                                                  = "failed to dial tree pool"                                                               // Fatal in ../../settings.go
	AddedStoragePeer                                                      = "added storage peer"                                                                     // Info in ../../settings.go
	CouldntGetBucket                                                      = "could not get bucket"                                                                   // Error in ../handler/utils.go
	CouldntPutBucketIntoCache                                             = "couldn't put bucket info into cache"                                                    // Warn in ../handler/handler.go
	InvalidCacheEntryType                                                 = "invalid cache entry type"                                                               // Warn in ../cache/buckets.go
	InvalidLifetimeUsingDefaultValue                                      = "invalid lifetime, using default value (in seconds)"                                     // Error in ../../cmd/http-gw/settings.go
	InvalidCacheSizeUsingDefaultValue                                     = "invalid cache size, using default value"                                                // Error in ../../cmd/http-gw/settings.go
	FailedToUnescapeQuery                                                 = "failed to unescape query"
	ServerReconnecting                                                    = "reconnecting server..."
	ServerReconnectedSuccessfully                                         = "server reconnected successfully"
	ServerReconnectFailed                                                 = "failed to reconnect server"
	WarnDuplicateAddress                                                  = "duplicate address"
)
